Skip to main content
GET
/
workspaces
/
{workspace_id}
/
mcp-integrations
/
catalog
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "icon_url": "<string>",
      "docs_url": "<string>",
      "provider_id": "<string>",
      "connection_spec": {
        "server_uri": "<string>",
        "config_fields": [
          {
            "key": "<string>",
            "label": "<string>",
            "description": "<string>",
            "required": true,
            "secret": false,
            "placeholder": "<string>",
            "type": "string"
          }
        ],
        "requires_config": false,
        "credentials": [
          {
            "key": "<string>",
            "label": "<string>",
            "description": "<string>",
            "required": true,
            "secret": true,
            "default_value": "<string>",
            "placeholder": "<string>",
            "type": "string"
          }
        ],
        "kind": "http_oauth2",
        "server_type": "http",
        "auth_type": "OAUTH2",
        "scopes": [
          "<string>"
        ],
        "oauth_authorization_endpoint": "<string>",
        "oauth_token_endpoint": "<string>"
      },
      "locked": true,
      "mcp_integration_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_refreshed_at": "2023-11-07T05:31:56Z",
      "connection_options": [
        {
          "id": "<string>",
          "label": "<string>",
          "connection_spec": {
            "server_uri": "<string>",
            "config_fields": [
              {
                "key": "<string>",
                "label": "<string>",
                "description": "<string>",
                "required": true,
                "secret": false,
                "placeholder": "<string>",
                "type": "string"
              }
            ],
            "requires_config": false,
            "credentials": [
              {
                "key": "<string>",
                "label": "<string>",
                "description": "<string>",
                "required": true,
                "secret": true,
                "default_value": "<string>",
                "placeholder": "<string>",
                "type": "string"
              }
            ],
            "kind": "http_oauth2",
            "server_type": "http",
            "auth_type": "OAUTH2",
            "scopes": [
              "<string>"
            ],
            "oauth_authorization_endpoint": "<string>",
            "oauth_token_endpoint": "<string>"
          },
          "description": "<string>",
          "docs_url": "<string>"
        }
      ],
      "tools": [
        {
          "name": "<string>",
          "description": "<string>",
          "enabled": true,
          "requires_approval": false,
          "status": "available"
        }
      ]
    }
  ],
  "next_cursor": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

q
string | null

Search name, slug, description

category
string | null

Filter by category

status
enum<string> | null

Filter by catalog status

Available options:
available,
coming_soon,
deprecated,
hidden
cursor
string | null

Cursor for pagination

limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

Cursor-paginated platform MCP catalog response.

items
PlatformMCPCatalogRead · object[]
required
next_cursor
string | null